Skip to main content
GET
/
v2
/
tag
/
mappings
List tag mappings
curl --request GET \
  --url https://api.uat.frankie.one/v2/tag/mappings \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "meta": {
    "page": 123,
    "total": 123,
    "limit": 123,
    "count": 123,
    "sort": "asc",
    "sortFields": [
      "createdAt"
    ]
  },
  "mappings": [
    {
      "objectId": "12345678-1234-1234-1234-123456789012",
      "objectType": "ADDRESS",
      "tags": [
        {
          "tagId": "12345678-1234-1234-1234-123456789012",
          "label": "ROMANCE_SCAM",
          "mappingId": "12345678-1234-1234-1234-123456789012",
          "description": "Indicates a potential romance scam.",
          "category": "FRAUD",
          "type": "SYSTEM",
          "domain": "ACTIVITY_MONITORING"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Query Parameters

objectTypes
enum<string>[]

Filter tag mappings by object type. Supports multiple comma-separated values (OR logic).

The type of object being annotated.

Available options:
ADDRESS,
NAME,
PHONE_NUMBER,
EMAIL,
DATE_OF_BIRTH,
WEBSITE,
SHAREHOLDER,
OFFICIAL,
UBO,
REGISTRATION,
SHAREHOLDING,
SHARECAPITAL,
DOCUMENT,
DOCUMENT_ATTACHMENT,
RESULT_PROCESS,
RESULT_STEP,
RESULT_WORKFLOW,
SERVICE_PROFILE,
AUDIT_EVENT,
EXTERNAL_REFERENCE,
RISK_ASSESSMENT,
MATCHLIST
objectIds
string[]

Filter tag mappings by object ID. Supports multiple comma-separated values (OR logic). Duplicate IDs are de-duplicated before processing.

page
integer

The page number that you want to retrieve for the list query

limit
integer
default:20

Limit the number of items that will be returned as part of the request

Required range: x >= 1

Response

OK

requestId
string
required

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

meta
object
required

Meta information about the request and response returned during a list operation.

mappings
object[]
required

Tag mappings grouped by object. Only objects that have at least one tag mapping are included. Sorted by object mapping updatedAt descending.